Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.util
Class Log

    java.lang.Object
      com.fujitsu.iflow.model.util.Log

public class Log
extends java.lang.Object

Writes iflow messages to the log file with level control.

Field Summary
`static int` | `LEVEL0`
`static int` | `LEVEL1`
`static int` | `LEVEL2`
`static int` | `LEVEL3`

Constructor Summary
`Log()`

Method Summary
`static void` | `closeLogFile()`
`static void` | `println(int level, boolean b)`
`static void` | `println(int level, org.w3c.dom.Document doc)`
`static void` | `println(int level, double d)`
`static void` | `println(int level, float f)`
`static void` | `println(int level, int value)`
`static void` | `println(int level, int errorCode, java.lang.String variable)`
`static void` | `println(int level, long l)`
`static void` | `println(int level, java.lang.Object obj)`
`static void` | `println(int level, java.lang.String str)`
`static void` | `println(int level, java.lang.Throwable e)`
`static void` | `printStack(int level, java.lang.Throwable t)`
`static void` | `setOutputFile(java.lang.String pathname)`
`static void` | `setOutputFile(java.lang.String pathname, boolean overwrite)`
`static void` | `setOutputLevel(int level)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LEVEL0

    public static final int LEVEL0

See Also:
  Constant Field Values

### LEVEL1

    public static final int LEVEL1

See Also:
  Constant Field Values

### LEVEL2

    public static final int LEVEL2

See Also:
  Constant Field Values

### LEVEL3

    public static final int LEVEL3

See Also:
  Constant Field Values

Constructor Detail

### Log

    public Log()

Method Detail

### println

    public static void println(int level,
                               java.lang.Throwable e)

### println

    public static void println(int level,
                               int errorCode,
                               java.lang.String variable)

### println

    public static void println(int level,
                               int value)

### closeLogFile

    public static void closeLogFile()
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### println

    public static void println(int level,
                               long l)

### println

    public static void println(int level,
                               boolean b)

### println

    public static void println(int level,
                               float f)

### println

    public static void println(int level,
                               double d)

### println

    public static void println(int level,
                               java.lang.Object obj)

### println

    public static void println(int level,
                               java.lang.String str)

### println

    public static void println(int level,
                               org.w3c.dom.Document doc)
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### printStack

    public static void printStack(int level,
                                  java.lang.Throwable t)

### setOutputLevel

    public static void setOutputLevel(int level)

### setOutputFile

    public static void setOutputFile(java.lang.String pathname)

### setOutputFile

    public static void setOutputFile(java.lang.String pathname,
                                     boolean overwrite)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD